$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.105.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.105.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A8624CF459F8FB1C27EFB3ABE556D9DAA9F64EE08065465B115752B06EE54DC7'
  checksumType = 'sha256'
  checksum64 = 'A8624CF459F8FB1C27EFB3ABE556D9DAA9F64EE08065465B115752B06EE54DC7'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.105-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
